Package com.xebialabs.xlrelease.domain.events

# Class RolesSnapshotCreated

java.lang.Object
com.xebialabs.xlrelease.domain.events.RolesSnapshotCreated

All Implemented Interfaces:
  `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class RolesSnapshotCreated extends Object implements XLReleaseEvent, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RolesSnapshotCreated(scala.Option<String> containerId, scala.Option<String> parentContainerId, boolean isInherited, Date snapshotDate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RolesSnapshotCreated`
  `apply(scala.Option<String> containerId, scala.Option<String> parentContainerId, boolean isInherited, Date snapshotDate)`
  `boolean`
  `canEqual(Object x$1)`
  `scala.Option<String>`
  `containerId()`
  `RolesSnapshotCreated`
  `copy(scala.Option<String> containerId, scala.Option<String> parentContainerId, boolean isInherited, Date snapshotDate)`
  `scala.Option<String>`
  `copy$default$1()`
  `scala.Option<String>`
  `copy$default$2()`
  `boolean`
  `copy$default$3()`
  `Date`
  `copy$default$4()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `boolean`
  `isInherited()`
  `scala.Option<String>`
  `parentContainerId()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Date`
  `snapshotDate()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple4<scala.Option<String>,scala.Option<String>,Object,Date>>`
  `unapply(RolesSnapshotCreated x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### RolesSnapshotCreated

    public RolesSnapshotCreated(scala.Option<String> containerId, scala.Option<String> parentContainerId, boolean isInherited, Date snapshotDate)

- ## Method Details

  - ### apply

    public static RolesSnapshotCreated apply(scala.Option<String> containerId, scala.Option<String> parentContainerId, boolean isInherited, Date snapshotDate)

  - ### unapply

    public static scala.Option<scala.Tuple4<scala.Option<String>,scala.Option<String>,Object,Date>> unapply(RolesSnapshotCreated x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### containerId

    public scala.Option<String> containerId()

  - ### parentContainerId

    public scala.Option<String> parentContainerId()

  - ### isInherited

    public boolean isInherited()

  - ### snapshotDate

    public Date snapshotDate()

  - ### copy

    public RolesSnapshotCreated copy(scala.Option<String> containerId, scala.Option<String> parentContainerId, boolean isInherited, Date snapshotDate)

  - ### copy$default$1

    public scala.Option<String> copy$default$1()

  - ### copy$default$2

    public scala.Option<String> copy$default$2()

  - ### copy$default$3

    public boolean copy$default$3()

  - ### copy$default$4

    public Date copy$default$4()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`